Subject: Re: [PATCH] Change to the repository's root directory if needed.

From: Steven Grimm <[email-masked]>
Date: Fri, 12 Jan 2007 14:11:53 -0800

Junio C Hamano wrote:
> Porcelains that define SUBDIRECTORY_OK but do not do cdup are
> very valid, and they should not be cd'ed up automatically.
>   

My patch doesn't do the cd if SUBDIRECTORY_OK is defined, for exactly 
that reason.

-Steve